Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp
Class WSRPRenderURL

    java.lang.Object
      org.jboss.portal.wsrp.WSRPPortletURL
          org.jboss.portal.wsrp.WSRPRenderURL

All Implemented Interfaces:
  org.jboss.portal.portlet.ContainerURL, org.jboss.portal.portlet.PortletURL, org.jboss.portal.portlet.RenderURL

    public class WSRPRenderURL

extends WSRPPortletURL
implements org.jboss.portal.portlet.RenderURL

Version:
  $Revision: 11404 $
Author:
  Julien Viet

Constructor Summary
`protected` | `WSRPRenderURL()`
`protected` | `WSRPRenderURL(org.jboss.portal.Mode mode, org.jboss.portal.WindowState windowState, boolean secure, org.jboss.portal.portlet.StateString navigationalState)`

Method Summary
`protected void` | `appendEnd(java.lang.StringBuffer sb)`
`protected void` | `dealWithSpecificParams(java.util.Map<java.lang.String,java.lang.String> params, java.lang.String originalURL)` Deal with specific parameters first so that we can remove them before dealing with extra params.
`org.jboss.portal.portlet.StateString` | `getNavigationalState()`
`java.util.Map<java.lang.String,java.lang.String[]>` | `getPublicNavigationalStateChanges()`
`protected java.lang.String` | `getURLType()`

Methods inherited from class org.jboss.portal.wsrp.WSRPPortletURL
`create, create, create, createURLParameter, getMode, getRawParameterValueFor, getWindowState, isSecure, setParams, setStrict, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.portal.portlet.PortletURL
`getMode, getWindowState`

Constructor Detail

### WSRPRenderURL

    protected WSRPRenderURL(org.jboss.portal.Mode mode,
                            org.jboss.portal.WindowState windowState,
                            boolean secure,
                            org.jboss.portal.portlet.StateString navigationalState)

### WSRPRenderURL

    protected WSRPRenderURL()

Method Detail

### dealWithSpecificParams

    protected void dealWithSpecificParams(java.util.Map<java.lang.String,java.lang.String> params,
                                          java.lang.String originalURL)

  Description copied from class: `WSRPPortletURL`
  Deal with specific parameters first so that we can remove them before dealing with extra params. Sub-classes override to provide support for their specific parameters.

  Overrides:
    `dealWithSpecificParams` in class `WSRPPortletURL`
  Parameters:
    `params` - name-value map of the URL parameters
    `originalURL` - a String reprensenting the URL we are working with

### getURLType

    protected java.lang.String getURLType()

  Specified by:
    `getURLType` in class `WSRPPortletURL`

### getNavigationalState

    public org.jboss.portal.portlet.StateString getNavigationalState()

  Specified by:
    `getNavigationalState` in interface `org.jboss.portal.portlet.RenderURL`

### getPublicNavigationalStateChanges

    public java.util.Map<java.lang.String,java.lang.String[]> getPublicNavigationalStateChanges()

  Specified by:
    `getPublicNavigationalStateChanges` in interface `org.jboss.portal.portlet.RenderURL`

### appendEnd

    protected void appendEnd(java.lang.StringBuffer sb)

  Specified by:
    `appendEnd` in class `WSRPPortletURL`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD